> ## Documentation Index
> Fetch the complete documentation index at: https://docs.briq.tz/llms.txt
> Use this file to discover all available pages before exploring further.

# List senders

> List the WhatsApp sender numbers configured in your workspace. Use a sender id with the messages and templates endpoints.



## OpenAPI

````yaml /openapi.json get /v1/whatsapp/senders
openapi: 3.1.0
info:
  title: Briq API
  description: Karibu Briq API Documentation
  version: '0.8'
servers:
  - url: https://karibu.briq.tz
    description: Production
  - url: https://pre-release.karibu.briq.tz
    description: Pre-release
  - url: http://karibu.briq.tz
    description: LocalPass
security: []
paths:
  /v1/whatsapp/senders:
    get:
      tags:
        - Karibu-Whatsapp-Senders
      summary: List senders
      description: >-
        List the WhatsApp sender numbers configured in your workspace. Use a
        sender id with the messages and templates endpoints.
      operationId: wa_list_senders
      parameters:
        - name: is_active
          in: query
          required: false
          schema:
            type: boolean
        - name: is_default
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: List of senders.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/WaSenderItem'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WaErrorEnvelope'
components:
  schemas:
    WaSenderItem:
      type: object
      description: A WhatsApp sender number in your workspace.
      properties:
        id:
          type: string
          format: uuid
        user_id:
          type: string
          format: uuid
        whatsapp_account_id:
          type: string
          format: uuid
          nullable: true
        phone_number_id:
          type: string
          description: Meta phone number id.
        display_number:
          type: string
          description: Human-readable sender number.
        label:
          type: string
          nullable: true
        is_default:
          type: boolean
        is_active:
          type: boolean
        is_deleted:
          type: boolean
        created_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
    WaErrorEnvelope:
      type: object
      properties:
        success:
          type: boolean
          example: false
        data:
          type: object
          nullable: true
          description: >-
            On a failed send that still produced a record, carries the pollable
            message_id with status='failed'; otherwise null.
        errors:
          type: array
          items:
            $ref: '#/components/schemas/WaApiError'
        request_id:
          type: string
    WaApiError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
        field:
          type: string
          nullable: true

````